{
  "name": "@ts-for-gir/generator-base",
  "version": "3.2.6",
  "description": "Base generator for ts-for-gir",
  "module": "lib/index.js",
  "main": "lib/index.js",
  "type": "module",
  "engines": {
    "node": ">=18"
  },
  "scripts": {
    "build": "yarn lint && yarn build:ts",
    "build:ts": "tsc",
    "clear": "yarn clear:build",
    "clear:build": "rimraf ./lib",
    "watch": "yarn build:ts --watch",
    "lint": "eslint . --ext .ts,.tsx --fix"
  },
  "repository": {
    "type": "git",
    "url": "git+https://github.com/gjsify/ts-for-gir.git"
  },
  "author": "Pascal Garber <pascal@artandcode.studio>",
  "files": [
    "lib",
    "templates"
  ],
  "license": "Apache-2.0",
  "bugs": {
    "url": "https://github.com/gjsify/ts-for-gir/issues"
  },
  "homepage": "https://github.com/gjsify/ts-for-gir#readme",
  "keywords": [
    "generator"
  ],
  "devDependencies": {
    "@types/node": "^20.10.0",
    "@typescript-eslint/eslint-plugin": "^6.12.0",
    "@typescript-eslint/parser": "^6.12.0",
    "eslint": "^8.54.0",
    "eslint-config-prettier": "^9.0.0",
    "eslint-plugin-prettier": "^5.0.1",
    "prettier": "^3.1.0",
    "rimraf": "^5.0.5",
    "typescript": "5.2.2"
  },
  "dependencies": {
    "@ts-for-gir/lib": "workspace:^"
  }
}
